;; 
;; %%HEADER%%
;;


(Given #/^I am not yet playing$/ () #t)

(When #/^I start a new game$/ ()
  (start-game ($ 'mock-io)))

(Then #/^I should see "([^"]+)"$/ (message)
   (test #t (number? (substring-index message (get-output-string ($ 'mock-io))))))


(Given #/^the secret code is "([^"]+)"$/ (code)
  (set! ($ 'secret) code))

(When #/^I guess "([^"]+)"$/ (g)
  (set! ($ 'mark) (guess ($ 'secret) g)))

(Then #/^the mark should be "([^"]*)"$/ (m)
  (test m ($ 'mark)))
